SUSE: 2022:2896-1 moderate: raptor | LinuxSecurity.com

Advisories


   SUSE Security Update: Security update for raptor
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2896-1
Rating:             moderate
References:         #1178903 
Cross-References:   CVE-2020-25713
CVSS scores:
                    CVE-2020-25713 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-25713 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Desktop Applications 15-SP3
                    SUSE Linux Enterprise Module for Desktop Applications 15-SP4
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Linux Enterprise Storage 7.1
                    SUSE Manager Proxy 4.2
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.2
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for raptor fixes the following issues:

   - CVE-2020-25713: Fixed an out of bounds access triggered via a malformed
     input file (bsc#1178903).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-2896=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-2896=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-2896=1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP4-2022-2896=1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-2896=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libraptor-devel-2.0.15-150200.9.12.1
      libraptor2-0-2.0.15-150200.9.12.1
      libraptor2-0-debuginfo-2.0.15-150200.9.12.1
      raptor-2.0.15-150200.9.12.1
      raptor-debuginfo-2.0.15-150200.9.12.1
      raptor-debugsource-2.0.15-150200.9.12.1

   - openSUSE Leap 15.4 (x86_64):

      libraptor2-0-32bit-2.0.15-150200.9.12.1
      libraptor2-0-32bit-debuginfo-2.0.15-150200.9.12.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libraptor-devel-2.0.15-150200.9.12.1
      libraptor2-0-2.0.15-150200.9.12.1
      libraptor2-0-debuginfo-2.0.15-150200.9.12.1
      raptor-2.0.15-150200.9.12.1
      raptor-debuginfo-2.0.15-150200.9.12.1
      raptor-debugsource-2.0.15-150200.9.12.1

   - openSUSE Leap 15.3 (x86_64):

      libraptor2-0-32bit-2.0.15-150200.9.12.1
      libraptor2-0-32bit-debuginfo-2.0.15-150200.9.12.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (aarch64 ppc64le s390x):

      libraptor-devel-2.0.15-150200.9.12.1
      libraptor2-0-2.0.15-150200.9.12.1
      libraptor2-0-debuginfo-2.0.15-150200.9.12.1
      raptor-2.0.15-150200.9.12.1
      raptor-debuginfo-2.0.15-150200.9.12.1
      raptor-debugsource-2.0.15-150200.9.12.1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (aarch64 ppc64le s390x x86_64):

      libraptor-devel-2.0.15-150200.9.12.1
      libraptor2-0-2.0.15-150200.9.12.1
      libraptor2-0-debuginfo-2.0.15-150200.9.12.1
      raptor-2.0.15-150200.9.12.1
      raptor-debuginfo-2.0.15-150200.9.12.1
      raptor-debugsource-2.0.15-150200.9.12.1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (aarch64 ppc64le s390x x86_64):

      libraptor-devel-2.0.15-150200.9.12.1
      libraptor2-0-2.0.15-150200.9.12.1
      libraptor2-0-debuginfo-2.0.15-150200.9.12.1
      raptor-2.0.15-150200.9.12.1
      raptor-debuginfo-2.0.15-150200.9.12.1
      raptor-debugsource-2.0.15-150200.9.12.1


References:

   https://www.suse.com/security/cve/CVE-2020-25713.html
   https://bugzilla.suse.com/1178903

SUSE: 2022:2896-1 moderate: raptor

August 25, 2022
An update that fixes one vulnerability is now available

Summary

This update for raptor fixes the following issues: - CVE-2020-25713: Fixed an out of bounds access triggered via a malformed input file (bsc#1178903). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-2896=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-2896=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-2896=1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP4: zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP4-2022-2896=1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3: zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-2896=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): libraptor-devel-2.0.15-150200.9.12.1 libraptor2-0-2.0.15-150200.9.12.1 libraptor2-0-debuginfo-2.0.15-150200.9.12.1 raptor-2.0.15-150200.9.12.1 raptor-debuginfo-2.0.15-150200.9.12.1 raptor-debugsource-2.0.15-150200.9.12.1 - openSUSE Leap 15.4 (x86_64): libraptor2-0-32bit-2.0.15-150200.9.12.1 libraptor2-0-32bit-debuginfo-2.0.15-150200.9.12.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libraptor-devel-2.0.15-150200.9.12.1 libraptor2-0-2.0.15-150200.9.12.1 libraptor2-0-debuginfo-2.0.15-150200.9.12.1 raptor-2.0.15-150200.9.12.1 raptor-debuginfo-2.0.15-150200.9.12.1 raptor-debugsource-2.0.15-150200.9.12.1 - openSUSE Leap 15.3 (x86_64): libraptor2-0-32bit-2.0.15-150200.9.12.1 libraptor2-0-32bit-debuginfo-2.0.15-150200.9.12.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (aarch64 ppc64le s390x): libraptor-devel-2.0.15-150200.9.12.1 libraptor2-0-2.0.15-150200.9.12.1 libraptor2-0-debuginfo-2.0.15-150200.9.12.1 raptor-2.0.15-150200.9.12.1 raptor-debuginfo-2.0.15-150200.9.12.1 raptor-debugsource-2.0.15-150200.9.12.1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (aarch64 ppc64le s390x x86_64): libraptor-devel-2.0.15-150200.9.12.1 libraptor2-0-2.0.15-150200.9.12.1 libraptor2-0-debuginfo-2.0.15-150200.9.12.1 raptor-2.0.15-150200.9.12.1 raptor-debuginfo-2.0.15-150200.9.12.1 raptor-debugsource-2.0.15-150200.9.12.1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (aarch64 ppc64le s390x x86_64): libraptor-devel-2.0.15-150200.9.12.1 libraptor2-0-2.0.15-150200.9.12.1 libraptor2-0-debuginfo-2.0.15-150200.9.12.1 raptor-2.0.15-150200.9.12.1 raptor-debuginfo-2.0.15-150200.9.12.1 raptor-debugsource-2.0.15-150200.9.12.1

References

#1178903

Cross- CVE-2020-25713

CVSS scores:

CVE-2020-25713 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2020-25713 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Desktop Applications 15-SP3

SUSE Linux Enterprise Module for Desktop Applications 15-SP4

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Linux Enterprise Storage 7.1

SUSE Manager Proxy 4.2

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.2

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.2

SUSE Manager Server 4.3

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2020-25713.html

https://bugzilla.suse.com/1178903

Severity
Announcement ID: SUSE-SU-2022:2896-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.